## tkrev 9.6.1

=== debian/changelog ===
tkrev (9.6.1-3) unstable; urgency=medium

  * QA upload.
  * Add missing break/replaces on tkcvs to tkrev. Closes: #1111463

 -- Andreas Metzler <ametzler@debian.org>  Mon, 18 Aug 2025 19:02:34 +0200

tkrev (9.6.1-2) unstable; urgency=low

  * QA upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Aug 2025 10:51:58 +0200

tkrev (9.6.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream version.
  * Add myself to copyright file.
  * Update copyright info for new upstream.
  * contrib/vendorcode.sh was dropped.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Jul 2025 16:23:02 +0200

tkrev (9.5-2) experimental; urgency=medium

  * QA upload.
  * Add a bunch of lintian-overrides for ancient lintian.
    ftpmaster seems to be running bullseye/oldstable lintian, I got an
    autoreject for
    tkcvs: lintian output: 'non-etc-file-marked-as-conffile remove-on-upgrade
    /etc/tkcvs/tkcvs_def.tcl', automatically rejected package.
    which was fixed in 2.105.0 anno 2021.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Jul 2025 10:41:44 +0200

tkrev (9.5-1) experimental; urgency=medium

  * QA upload.
  * Package renamed to tkrev, new upstream. Closes: #1039577
  * Unfuzz patch for new upstream
  * Drop patch, upstream manpage has changed.
  * Run wrap-and-sort -ast
  * Add arch all tkcvs dummy package for seamless upgrades.
  * add lintian override for sh wrapped tcl code
  * [lintian] add ${misc:Depends} to transition package.
  * Update to debian/copyright, using info from upstream (tkcvs and tkdiff)
    SVN repos. Add Debian maintainer history.
  * Update package description for new upstream.
  * Bump Standards-Version.
  * Ship tkdiff upstream changelog
  * Move tkdiff to separate package Closes: #664084
  * Stop shipping tkdirdiff, we already recommend dirdiff and it is already
    removed in upstream SVN. (Closes: #699146)
  * Use special tkdiff version number that sorts lower than upstream version -1
  * Bump Tk version requirement.
  * Remove obsolete tkcvs conffile on upgrade.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jul 2025 16:37:29 +0200

tkcvs (8.2.3-6) unstable; urgency=high

  * QA upload.
  * Also add other contributors to debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jul 2025 11:30:52 +0200

tkcvs (8.2.3-5) unstable; urgency=high

  * QA upload.
  * Fix debian/copyright, original author was missing.
    See https://sourceforge.net/p/tkcvs/bugs/160/
    https://sourceforge.net/p/tkdiff/bugs/100/

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jul 2025 10:43:40 +0200

tkcvs (8.2.3-4) unstable; urgency=medium

  * Orphan the package. (See #1076093)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2024 11:58:31 -0400

tkcvs (8.2.3-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0.
  * debian/control: Adds Vcs-* fields.
  * debian/tkcvs.menu: Dropped per tech-ctte decision.
  * src: Revert to original upstream version.
  * Bump debhelper compat to v13 and convert to DebSrc3.0.
    (Closes: #1007417)
  * debian/patches: Recover carried debian patches.
  * debian/rules: Migrate to dh13 syntax.
  * debian/control: Update homepage and point to SourceForge.
  * debian/watch: Monitor SourceForge project.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2024 21:31:47 -0400

tkcvs (8.2.3-2) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1067205)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Apr 2024 00:00:14 -0400

tkcvs (8.2.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for Debian Buster.
  * debian/control:
    + Replace dependency on transitional package
      ttf-dejavu with fonts-dejavu.
    + Add missing dependency on sensible-utils. (lintian)

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Feb 2019 14:15:01 -0500

tkcvs (8.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tk depencencies (Closes: #725768).
  * Add explicit debian/source/format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Dec 2016 22:28:56 +0500

tkcvs (8.2.3-1) unstable; urgency=low

  * New upstream version
  * Updated to standards 3.9.3
  * Provides tkdiff (Closes: #675352)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Fri, 08 Jun 2012 22:25:55 +0100

tkcvs (8.2.1-2) unstable; urgency=low

  * Updated to standards 3.8.4

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Wed, 26 May 2010 20:45:30 +0200

tkcvs (8.2.1-1) unstable; urgency=low

  * New upstream version (Closes: #580191)
  * Change package section to vcs
  * Remove conflict with tkdiff, but keep 'Replaces' (Closes: #545106)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Wed, 26 May 2010 09:25:49 +0200

tkcvs (8.2-1) unstable; urgency=low

  * New upstream version
  * Updated to policy 3.8.2
  * Removed conflict with tk8.3 (Closes: #517897)
  * Change the suggested tag date format to avoid locale issues
    (Closes: #412987)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Wed, 12 Aug 2009 17:33:08 +0200

tkcvs (8.1-5) unstable; urgency=low

  * Accidentally missed out tkdiff (Closes: #502922)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue, 21 Oct 2008 17:52:14 +0200

tkcvs (8.1-4) unstable; urgency=low

  * Allow tkcvs to work with either tk8.4 or tk8.5 (Closes: #502545)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Sat, 18 Oct 2008 20:57:34 +0200

tkcvs (8.1-3) unstable; urgency=low

  * Patch from Alexander Galinin to fix merge
    within a branch (Closes: #501256)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Mon, 06 Oct 2008 10:40:51 +0200

tkcvs (8.1-2) unstable; urgency=low

  * Updated policy to 3.8.0
  * Fixed bashism in contrib script (Closes: #489666)
  * Fixed a couple of lintian warnings

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Fri, 05 Sep 2008 14:12:42 +0200

tkcvs (8.1-1) unstable; urgency=low

  * New upstream version (Closes: #485923)
  * Moved to tk8.5
  * Updated standards to 3.7.3
  * Revised menu location according to policy

