=== debian/control ===
Source: tkrev
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
Homepage: https://sourceforge.net/projects/tkcvs/
Vcs-Git: https://salsa.debian.org/debian/tkrev.git
Vcs-Browser: https://salsa.debian.org/debian/tkrev

Package: tkrev
Architecture: all
Depends:
 cvs | subversion,
 fonts-dejavu,
 sensible-utils,
 tk (>= 8.6),
 tkdiff (= ${tkdiffdep}),
 ${misc:Depends},
Recommends:
 dirdiff,
 xterm | x-terminal-emulator,
Replaces:
 tkcvs (<< 9.4),
Breaks:
 tkcvs (<< 9.4),
Description: Graphical front-end to CVS, Subversion, GIT, RCS
 TkRev is a Tcl/Tk based graphical interface to the CVS and Subversion
 version control systems, with added support for GIT and RCS.  For CVS,
 it includes facilities for providing "user friendly" names to modules
 and directories within the repository, and provides a facility to
 interactively browse the repository looking for modules and directories.
 TkDiff is bundled in for browsing and merging changes.
 .
 Some of the features of TkRev include:
 .
 File and directory browser, with optional display of hidden
 files, and display of the current directory's location within
 the CVS tree.
 .
 Push-button based check-in / check-out of CVS modules.  Ability
 to add and delete files from the repository also using push
 buttons.
 .
 Module tree browser, and reports showing the structure of the
 CVS modules tree.  Individual modules or entire directory trees
 may be checked out using the browser.
 .
 Updating of files from the repository when they change.
 .
 Tagging and branching of files from the file browser, and tagging
 and branching of modules from the module browser.
 .
 Exporting a CVS module or directory from the repository for
 delivery off-site.
 .
 Creation of patch files between two releases of a module, or
 between a release and the current (head) version.
 .
 Viewing of diff and status listings for currently checked out
 modules.

Package: tkdiff
Architecture: all
Depends:
 fonts-dejavu,
 tk (>= 8.5),
 ${misc:Depends},
Replaces:
 tkcvs (<< 9.4),
Breaks:
 tkcvs (<< 9.4),
Description: graphical side by side "diff" utility
 TkDiff is a graphical front-end for the standard Unix 'diff' utility.
 Its features include highlighted difference regions (with a quick
 overview/navigation bar) and linked scrolling of files. It provides
 file-merge and change-summary facilities, line number toggling (for easier
 cut & paste) and support for Subversion, GIT, Mercurial and more.

Package: tkcvs
Depends:
 tkrev (= ${binary:Version}),
 ${misc:Depends},
Section: oldlibs
Architecture: all
Description: transitional dummy package for tkrev
 TkCVS was renamed to TkRev.  You can safely uninstall this package.
