=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

TKDIFFVERS = $(shell grep '^set g(version)  *' tkdiff/tkdiff | sed -e 's/.*  *//' -e 's/"//g')

override_dh_install:
	dh_install debian/tkrev.desktop usr/share/applications
	dh_install debian/tkcvs.xpm usr/share/pixmaps
	cp tkrev/tkrev.tcl debian/tkrev/usr/bin/tkrev
	install -m755  tkdiff/tkdiff debian/tkdiff/usr/bin/tkdiff
	chmod +x debian/tkrev/usr/bin/tkrev
	cp -r tkrev/bitmaps debian/tkrev/usr/share/tkrev
	cp tkrev/*.tcl tkrev/tclIndex \
	  debian/tkrev/usr/share/tkrev
	mv debian/tkrev/usr/share/tkrev/tkrev_def.tcl debian/tkrev/etc/tkrev/

override_dh_installchangelogs:
	dh_installchangelogs -ptkdiff tkdiff/CHANGELOG.txt
	dh_installchangelogs --remaining-packages CHANGELOG.txt

override_dh_gencontrol:
	dh_gencontrol -ptkdiff -- \
		-v$(TKDIFFVERS)~$(DEB_VERSION)
	dh_gencontrol --remaining-packages -- \
		-Vtkdiffdep=$(TKDIFFVERS)~$(DEB_VERSION)
